Android Question Compile problem, with java version

Discussion in 'Android Questions' started by NBR, Aug 31, 2017.

  1. NBR

    NBR New Member

    Few time ago, I download B4A (version 7.0.0.0 trial version), I have reading the 'PDFs', and now it's my time to learn by practicing with it...

    I have loaded a simple example (of which you can download to learn, from source examples compannion B4A), and I have the next error, when i've try compile it:
    "Error java.lang.UnsupportedClassVersionError: com/android/dx/command/Main : Unsupported major.minor version 52.0", etc.etc...

    I finded and read about the problem. The solution (more visible) it's, what I need to install Java 8.0, but it's don't possible in my computer (it's older and Java 8 don't may, dont' want, to install it, ...I have Win-XP sp3... yes too :D, along 1-2 years more :().

    Then my question it's: There are any mode for instruct at the program so that, I want compile with Java 7xxx?.
    En B4A, in Gradle, in Android... in a simple bat :) ?.

    There are options for to tell to B4A, what I want to compile it with a specific (Java) version????.
     
    Last edited: Aug 31, 2017
  2. Erel

    Erel Administrator Staff Member Licensed User

    You can install Java 8 on Windows XP.
    Though you will encounter other issues as well. Android SDK is not fully supported on Windows XP.
     
  3. NBR

    NBR New Member

    Thanks Erel, y try to install Java 8 in win-xp...
     
Loading...
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice